IM_COPY(3)

NAME
im_copy, im_copy_set - copy an image

SYNOPSIS
#include <vips/vips.h> int im_copy(in, out)
IMAGE *in, *out; int im_copy_set( in, out, type, xres, yres )
IMAGE *in, *out;
int type;
float xres, yres;

DESCRIPTION
im_copy(3) copies the image held by the image descriptor in and writes the result to the image descriptor out. The input can be of any size and have any type. Does LABPACK coded images too! im_copy_set(3) behaves exactly as im_copy(3), but lets you set informational fields in the header on the way through.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_extract(3), im_open(3)